View Issue Details

IDProjectCategoryView StatusLast Update
13160Bug reports[All Projects] Survey takingpublic2018-02-21 16:37
ReportertpartnerAssigned Toolle 
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version 
Target Version3.0.xFixed in Version3.4.x 
Summary13160: Relevance based on array-dual-scale broken
DescriptionThe relevance equation seen below does not work in version 3.0.2.

It does work in 2.73.0+.

Q1_SQ001_0 == 'A1' OR Q1_SQ001_1 == 'A1'
Steps To ReproduceImport attached survey.

Clicking "Yes" in either scale should show Q2.
TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.0.2
I will donate to the project if issue is resolvedNo
Browsern/a
Database & DB-Versionmysqlnd 5.0.12-dev
Operating System (Server)Windows 10
Webserver software & versionApache/2.4.27 (Win32) OpenSSL/1.0.2l PHP/7.1.9
PHP Version7.1.9

Activities

tpartner

tpartner

2018-01-10 22:09

developer  

limesurvey_survey_748898.lss (16,805 bytes)
LouisGac

LouisGac

2018-01-11 11:04

manager   ~45560

thank you for that bug report.
olle

olle

2018-02-21 16:07

administrator   ~46691

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26546

Related Changesets

LimeSurvey: master 65c265ac

2018-02-21 16:06:44

olle

Details Diff
Fixed issue 13160: Relevance based on array-dual-scale broken
mod - assets/scripts/dualscale.js Diff File
mod - assets/scripts/expressions/em_javascript.js Diff File

Issue History

Date Modified Username Field Change
2018-01-10 22:09 tpartner New Issue
2018-01-10 22:09 tpartner File Added: limesurvey_survey_748898.lss
2018-01-10 22:10 tpartner Description Updated View Revisions
2018-01-11 11:04 LouisGac Note Added: 45560
2018-01-15 10:45 LouisGac Assigned To => olle
2018-01-15 10:45 LouisGac Status new => assigned
2018-02-20 16:13 olle Status assigned => confirmed
2018-02-21 16:07 olle Changeset attached => LimeSurvey master 65c265ac
2018-02-21 16:07 olle Note Added: 46691
2018-02-21 16:07 olle Resolution open => fixed
2018-02-21 16:21 olle Status confirmed => resolved
2018-02-21 16:21 olle Fixed in Version => 3.4.x
2018-02-21 16:37 olle Status resolved => closed